MIMEContainer (base API)
Date: 2019-04-05

com.twosigma.beakerx.mimetype

## Class MIMEContainer

- java.lang.Object
- - com.twosigma.beakerx.mimetype.MIMEContainer

- Direct Known Subclasses:
    FileLinkContainer, ImageContainer, SVGContainer

      public class MIMEContainer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MIMEContainer.MIME`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MIMEContainer` | `HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIMEContainer(java.lang.String mime, java.lang.Object code)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static MIMEContainer` | `addMimeType(java.lang.String mime, java.lang.Object data)`
    `boolean` | `equals(java.lang.Object o)`
    `protected static boolean` | `exists(java.lang.String data)`
    `protected static byte[]` | `getBytes(java.lang.Object data)`
    `java.lang.Object` | `getData()`
    `MIMEContainer.MIME` | `getMime()`
    `int` | `hashCode()`
    `static MIMEContainer` | `HTML(java.lang.Object data)`
    `static MIMEContainer` | `IFrame(java.lang.String src, java.lang.Object width, int height)`
    `protected static boolean` | `isValidURL(java.lang.String urlString)`
    `static MIMEContainer` | `Javascript(java.lang.Object data)`
    `static MIMEContainer` | `JavaScript(java.lang.Object data)`
    `static MIMEContainer` | `Latex(java.lang.Object data)`
    `static MIMEContainer` | `Markdown(java.lang.Object data)`
    `static MIMEContainer` | `Math(java.lang.String data)`
    `static MIMEContainer` | `ScribdDocument(java.util.HashMap params, java.lang.String id)`
    `static MIMEContainer` | `ScribdDocument(java.lang.String id, java.lang.String... params)`
    `static MIMEContainer` | `Text(java.lang.Object data)`
    `java.lang.String` | `toString()`
    `static MIMEContainer` | `Video(java.lang.String src)`
    `static MIMEContainer` | `VimeoVideo(java.util.HashMap params, java.lang.String id)`
    `static MIMEContainer` | `VimeoVideo(java.lang.String id, java.lang.String... params)`
    `static MIMEContainer` | `YoutubeVideo(java.util.HashMap params, java.lang.String id)`
    `static MIMEContainer` | `YoutubeVideo(java.lang.String id, java.lang.String... params)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HIDDEN

          public static final MIMEContainer HIDDEN

  - ### Constructor Detail

    - #### MIMEContainer

          public MIMEContainer(java.lang.String mime,
                               java.lang.Object code)

  - ### Method Detail

    - #### getMime

          public MIMEContainer.MIME getMime()

    - #### getData

          public java.lang.Object getData()

    - #### JavaScript

          public static MIMEContainer JavaScript(java.lang.Object data)

    - #### HTML

          public static MIMEContainer HTML(java.lang.Object data)

    - #### Latex

          public static MIMEContainer Latex(java.lang.Object data)

    - #### Text

          public static MIMEContainer Text(java.lang.Object data)

    - #### Markdown

          public static MIMEContainer Markdown(java.lang.Object data)

    - #### Math

          public static MIMEContainer Math(java.lang.String data)

    - #### Javascript

          public static MIMEContainer Javascript(java.lang.Object data)

    - #### IFrame

          public static MIMEContainer IFrame(java.lang.String src,
                                             java.lang.Object width,
                                             int height)

    - #### VimeoVideo

          public static MIMEContainer VimeoVideo(java.lang.String id,
                                                 java.lang.String... params)

    - #### VimeoVideo

          public static MIMEContainer VimeoVideo(java.util.HashMap params,
                                                 java.lang.String id)

    - #### YoutubeVideo

          public static MIMEContainer YoutubeVideo(java.lang.String id,
                                                   java.lang.String... params)

    - #### YoutubeVideo

          public static MIMEContainer YoutubeVideo(java.util.HashMap params,
                                                   java.lang.String id)

    - #### ScribdDocument

          public static MIMEContainer ScribdDocument(java.lang.String id,
                                                     java.lang.String... params)

    - #### ScribdDocument

          public static MIMEContainer ScribdDocument(java.util.HashMap params,
                                                     java.lang.String id)

    - #### Video

          public static MIMEContainer Video(java.lang.String src)

    - #### addMimeType

          protected static MIMEContainer addMimeType(java.lang.String mime,
                                                     java.lang.Object data)

    - #### exists

          protected static boolean exists(java.lang.String data)

    - #### isValidURL

          protected static boolean isValidURL(java.lang.String urlString)

    - #### getBytes

          protected static byte[] getBytes(java.lang.Object data)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`